Update - MindBridge Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

PUT

/ v1

/analysis-type-configuration

/{analysisTypeConfigurationId}

Update

cURL

curl --request PUT \
  --url https://{tenant}.mindbridge.ai/api/v1/analysis-type-configuration/{analysisTypeConfigurationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": 123,
  "system": true,
  "configuration": {
    "riskGroups": [\
      {\
        "disabled": true,\
        "id": "<string>",\
        "selectedRiskRange": "<string>",\
        "applicableRiskRanges": [\
          "<string>"\
        ],\
        "filter": {\
          "values": [\
            "<string>"\
          ]\
        },\
        "controlPointWeights": {}\
      }\
    ]
  }
}
'
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/analysis-type-configuration/{analysisTypeConfigurationId}"

payload = {
    "version": 123,
    "system": True,
    "configuration": { "riskGroups": [\
            {\
                "disabled": True,\
                "id": "<string>",\
                "selectedRiskRange": "<string>",\
                "applicableRiskRanges": ["<string>"],\
                "filter": { "values": ["<string>"] },\
                "controlPointWeights": {}\
            }\
        ] }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    version: 123,
    system: true,
    configuration: {
      riskGroups: [\
        {\
          disabled: true,\
          id: '<string>',\
          selectedRiskRange: '<string>',\
          applicableRiskRanges: ['<string>'],\
          filter: {values: ['<string>']},\
          controlPointWeights: {}\
        }\
      ]
    }
  })
};

fetch('https://{tenant}.mindbridge.ai/api/v1/analysis-type-configuration/{analysisTypeConfigurationId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



200

{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "system": true,
  "libraryId": "<string>",
  "engagementId": "<string>",
  "analysisId": "<string>",
  "analysisTypeId": "<string>",
  "configuration": {
    "riskGroups": [\
      {\
        "disabled": true,\
        "id": "<string>",\
        "system": true,\
        "analysisTypeId": "<string>",\
        "selectedRiskRange": "<string>",\
        "applicableRiskRanges": [\
          "<string>"\
        ],\
        "filter": {\
          "values": [\
            "<string>"\
          ]\
        },\
        "controlPointWeights": {},\
        "controlPointBundleVersion": "<string>",\
        "name": {},\
        "description": {},\
        "category": {}\
      }\
    ]\
  },
  "controlPointBundleVersion": "<string>",
  "template": true
}

Authorizations

Authorization

string

header

required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

analysisTypeConfigurationId

string

required

Body

application/json

version

integer

required

Data integrity version to ensure data consistency.

system

boolean

configuration

Analysis Config · object

The configuration details for this analysis type.

Response

200 - application/json

OK

id

string

The unique object identifier.

version

integer

Data integrity version to ensure data consistency.

creationDate

string

The date that the object was originally created.

lastModifiedDate

string

The date that the object was last updated or modified.

createdUserInfo

User Info · object

read-only

Details about the user who created the object.

lastModifiedUserInfo

User Info · object

read-only

Details about the user who last modified or updated the object.

system

boolean

libraryId

string

Identifies the library associated with this configuration.

engagementId

string

Identifies the associated engagement.

analysisId

string

Identifies the analysis associated with this configuration.

analysisTypeId

string

Identifies the type of analysis.

configuration

Analysis Config · object

The configuration details for this analysis type.

controlPointBundleVersion

string

The version of the control point bundle used in this configuration.

template

boolean

Indicates whether this configuration is a template.